Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetEmojiSuggestionsUrl

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.HttpUrl>
it.tdlight.jni.TdApi.GetEmojiSuggestionsUrl

Enclosing class:
  TdApi

public static final class TdApi.GetEmojiSuggestionsUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

Returns `HttpUrl`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`languageCode`
Language code for which the emoji replacements will be suggested.

## Constructor Summary

Constructors
Constructor
Description
`GetEmojiSuggestionsUrl()`
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.
`GetEmojiSuggestionsUrl(DataInput input)`
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.
`GetEmojiSuggestionsUrl(String languageCode)`
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### languageCode

public String languageCode
Language code for which the emoji replacements will be suggested.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetEmojiSuggestionsUrl

public GetEmojiSuggestionsUrl()
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

Returns `HttpUrl`

### GetEmojiSuggestionsUrl

public GetEmojiSuggestionsUrl(String languageCode)
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

Returns `HttpUrl`

Parameters:
  `languageCode` - String Language code for which the emoji replacements will be suggested.

### GetEmojiSuggestionsUrl

public GetEmojiSuggestionsUrl(DataInput input) throws IOException
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

Returns `HttpUrl`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`